"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Notifications = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const AssociateChannelCommand_1 = require("./commands/AssociateChannelCommand");
const CreateEventRuleCommand_1 = require("./commands/CreateEventRuleCommand");
const CreateNotificationConfigurationCommand_1 = require("./commands/CreateNotificationConfigurationCommand");
const DeleteEventRuleCommand_1 = require("./commands/DeleteEventRuleCommand");
const DeleteNotificationConfigurationCommand_1 = require("./commands/DeleteNotificationConfigurationCommand");
const DeregisterNotificationHubCommand_1 = require("./commands/DeregisterNotificationHubCommand");
const DisassociateChannelCommand_1 = require("./commands/DisassociateChannelCommand");
const GetEventRuleCommand_1 = require("./commands/GetEventRuleCommand");
const GetNotificationConfigurationCommand_1 = require("./commands/GetNotificationConfigurationCommand");
const GetNotificationEventCommand_1 = require("./commands/GetNotificationEventCommand");
const ListChannelsCommand_1 = require("./commands/ListChannelsCommand");
const ListEventRulesCommand_1 = require("./commands/ListEventRulesCommand");
const ListNotificationConfigurationsCommand_1 = require("./commands/ListNotificationConfigurationsCommand");
const ListNotificationEventsCommand_1 = require("./commands/ListNotificationEventsCommand");
const ListNotificationHubsCommand_1 = require("./commands/ListNotificationHubsCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const RegisterNotificationHubCommand_1 = require("./commands/RegisterNotificationHubCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdateEventRuleCommand_1 = require("./commands/UpdateEventRuleCommand");
const UpdateNotificationConfigurationCommand_1 = require("./commands/UpdateNotificationConfigurationCommand");
const NotificationsClient_1 = require("./NotificationsClient");
const commands = {
    AssociateChannelCommand: AssociateChannelCommand_1.AssociateChannelCommand,
    CreateEventRuleCommand: CreateEventRuleCommand_1.CreateEventRuleCommand,
    CreateNotificationConfigurationCommand: CreateNotificationConfigurationCommand_1.CreateNotificationConfigurationCommand,
    DeleteEventRuleCommand: DeleteEventRuleCommand_1.DeleteEventRuleCommand,
    DeleteNotificationConfigurationCommand: DeleteNotificationConfigurationCommand_1.DeleteNotificationConfigurationCommand,
    DeregisterNotificationHubCommand: DeregisterNotificationHubCommand_1.DeregisterNotificationHubCommand,
    DisassociateChannelCommand: DisassociateChannelCommand_1.DisassociateChannelCommand,
    GetEventRuleCommand: GetEventRuleCommand_1.GetEventRuleCommand,
    GetNotificationConfigurationCommand: GetNotificationConfigurationCommand_1.GetNotificationConfigurationCommand,
    GetNotificationEventCommand: GetNotificationEventCommand_1.GetNotificationEventCommand,
    ListChannelsCommand: ListChannelsCommand_1.ListChannelsCommand,
    ListEventRulesCommand: ListEventRulesCommand_1.ListEventRulesCommand,
    ListNotificationConfigurationsCommand: ListNotificationConfigurationsCommand_1.ListNotificationConfigurationsCommand,
    ListNotificationEventsCommand: ListNotificationEventsCommand_1.ListNotificationEventsCommand,
    ListNotificationHubsCommand: ListNotificationHubsCommand_1.ListNotificationHubsCommand,
    ListTagsForResourceCommand: ListTagsForResourceCommand_1.ListTagsForResourceCommand,
    RegisterNotificationHubCommand: RegisterNotificationHubCommand_1.RegisterNotificationHubCommand,
    TagResourceCommand: TagResourceCommand_1.TagResourceCommand,
    UntagResourceCommand: UntagResourceCommand_1.UntagResourceCommand,
    UpdateEventRuleCommand: UpdateEventRuleCommand_1.UpdateEventRuleCommand,
    UpdateNotificationConfigurationCommand: UpdateNotificationConfigurationCommand_1.UpdateNotificationConfigurationCommand,
};
class Notifications extends NotificationsClient_1.NotificationsClient {
}
exports.Notifications = Notifications;
(0, smithy_client_1.createAggregatedClient)(commands, Notifications);
