"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextPartType = exports.SchemaVersion = exports.NotificationType = exports.MediaElementType = exports.LocaleCode = exports.EventStatus = exports.NotificationHubStatus = exports.NotificationConfigurationStatus = exports.EventRuleStatus = exports.ValidationException = exports.ValidationExceptionReason = exports.ThrottlingException = exports.ServiceQuotaExceededException = exports.ResourceNotFoundException = exports.InternalServerException = exports.ConflictException = exports.AggregationEventType = exports.AggregationDuration = exports.AccessDeniedException = void 0;
const NotificationsServiceException_1 = require("./NotificationsServiceException");
class AccessDeniedException extends NotificationsServiceException_1.NotificationsServiceException {
    constructor(opts) {
        super({
            name: "AccessDeniedException",
            $fault: "client",
            ...opts,
        });
        this.name = "AccessDeniedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AccessDeniedException.prototype);
    }
}
exports.AccessDeniedException = AccessDeniedException;
exports.AggregationDuration = {
    LONG: "LONG",
    NONE: "NONE",
    SHORT: "SHORT",
};
exports.AggregationEventType = {
    AGGREGATE: "AGGREGATE",
    CHILD: "CHILD",
    NONE: "NONE",
};
class ConflictException extends NotificationsServiceException_1.NotificationsServiceException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.resourceId = opts.resourceId;
    }
}
exports.ConflictException = ConflictException;
class InternalServerException extends NotificationsServiceException_1.NotificationsServiceException {
    constructor(opts) {
        super({
            name: "InternalServerException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalServerException";
        this.$fault = "server";
        this.$retryable = {};
        Object.setPrototypeOf(this, InternalServerException.prototype);
    }
}
exports.InternalServerException = InternalServerException;
class ResourceNotFoundException extends NotificationsServiceException_1.NotificationsServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.resourceId = opts.resourceId;
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
class ServiceQuotaExceededException extends NotificationsServiceException_1.NotificationsServiceException {
    constructor(opts) {
        super({
            name: "ServiceQuotaExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ServiceQuotaExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ServiceQuotaExceededException.prototype);
        this.resourceType = opts.resourceType;
        this.resourceId = opts.resourceId;
        this.serviceCode = opts.serviceCode;
        this.quotaCode = opts.quotaCode;
    }
}
exports.ServiceQuotaExceededException = ServiceQuotaExceededException;
class ThrottlingException extends NotificationsServiceException_1.NotificationsServiceException {
    constructor(opts) {
        super({
            name: "ThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottlingException";
        this.$fault = "client";
        this.$retryable = {
            throttling: true,
        };
        Object.setPrototypeOf(this, ThrottlingException.prototype);
        this.serviceCode = opts.serviceCode;
        this.quotaCode = opts.quotaCode;
        this.retryAfterSeconds = opts.retryAfterSeconds;
    }
}
exports.ThrottlingException = ThrottlingException;
exports.ValidationExceptionReason = {
    FIELD_VALIDATION_FAILED: "fieldValidationFailed",
    OTHER: "other",
};
class ValidationException extends NotificationsServiceException_1.NotificationsServiceException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
        this.reason = opts.reason;
        this.fieldList = opts.fieldList;
    }
}
exports.ValidationException = ValidationException;
exports.EventRuleStatus = {
    ACTIVE: "ACTIVE",
    CREATING: "CREATING",
    DELETING: "DELETING",
    INACTIVE: "INACTIVE",
    UPDATING: "UPDATING",
};
exports.NotificationConfigurationStatus = {
    ACTIVE: "ACTIVE",
    DELETING: "DELETING",
    INACTIVE: "INACTIVE",
    PARTIALLY_ACTIVE: "PARTIALLY_ACTIVE",
};
exports.NotificationHubStatus = {
    ACTIVE: "ACTIVE",
    DEREGISTERING: "DEREGISTERING",
    INACTIVE: "INACTIVE",
    REGISTERING: "REGISTERING",
};
exports.EventStatus = {
    HEALTHY: "HEALTHY",
    UNHEALTHY: "UNHEALTHY",
};
exports.LocaleCode = {
    de_DE: "de_DE",
    en_CA: "en_CA",
    en_UK: "en_UK",
    en_US: "en_US",
    es_ES: "es_ES",
    fr_CA: "fr_CA",
    fr_FR: "fr_FR",
    id_ID: "id_ID",
    it_IT: "it_IT",
    ja_JP: "ja_JP",
    ko_KR: "ko_KR",
    pt_BR: "pt_BR",
    tr_TR: "tr_TR",
    zh_CN: "zh_CN",
    zh_TW: "zh_TW",
};
exports.MediaElementType = {
    IMAGE: "IMAGE",
};
exports.NotificationType = {
    ALERT: "ALERT",
    ANNOUNCEMENT: "ANNOUNCEMENT",
    INFORMATIONAL: "INFORMATIONAL",
    WARNING: "WARNING",
};
exports.SchemaVersion = {
    SCHEMA_VERSION_1_0: "v1.0",
};
exports.TextPartType = {
    LOCALIZED_TEXT: "LOCALIZED_TEXT",
    PLAIN_TEXT: "PLAIN_TEXT",
    URL: "URL",
};
