import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AssociateChannelCommandInput,
  AssociateChannelCommandOutput,
} from "../commands/AssociateChannelCommand";
import {
  CreateEventRuleCommandInput,
  CreateEventRuleCommandOutput,
} from "../commands/CreateEventRuleCommand";
import {
  CreateNotificationConfigurationCommandInput,
  CreateNotificationConfigurationCommandOutput,
} from "../commands/CreateNotificationConfigurationCommand";
import {
  DeleteEventRuleCommandInput,
  DeleteEventRuleCommandOutput,
} from "../commands/DeleteEventRuleCommand";
import {
  DeleteNotificationConfigurationCommandInput,
  DeleteNotificationConfigurationCommandOutput,
} from "../commands/DeleteNotificationConfigurationCommand";
import {
  DeregisterNotificationHubCommandInput,
  DeregisterNotificationHubCommandOutput,
} from "../commands/DeregisterNotificationHubCommand";
import {
  DisassociateChannelCommandInput,
  DisassociateChannelCommandOutput,
} from "../commands/DisassociateChannelCommand";
import {
  GetEventRuleCommandInput,
  GetEventRuleCommandOutput,
} from "../commands/GetEventRuleCommand";
import {
  GetNotificationConfigurationCommandInput,
  GetNotificationConfigurationCommandOutput,
} from "../commands/GetNotificationConfigurationCommand";
import {
  GetNotificationEventCommandInput,
  GetNotificationEventCommandOutput,
} from "../commands/GetNotificationEventCommand";
import {
  ListChannelsCommandInput,
  ListChannelsCommandOutput,
} from "../commands/ListChannelsCommand";
import {
  ListEventRulesCommandInput,
  ListEventRulesCommandOutput,
} from "../commands/ListEventRulesCommand";
import {
  ListNotificationConfigurationsCommandInput,
  ListNotificationConfigurationsCommandOutput,
} from "../commands/ListNotificationConfigurationsCommand";
import {
  ListNotificationEventsCommandInput,
  ListNotificationEventsCommandOutput,
} from "../commands/ListNotificationEventsCommand";
import {
  ListNotificationHubsCommandInput,
  ListNotificationHubsCommandOutput,
} from "../commands/ListNotificationHubsCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  RegisterNotificationHubCommandInput,
  RegisterNotificationHubCommandOutput,
} from "../commands/RegisterNotificationHubCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateEventRuleCommandInput,
  UpdateEventRuleCommandOutput,
} from "../commands/UpdateEventRuleCommand";
import {
  UpdateNotificationConfigurationCommandInput,
  UpdateNotificationConfigurationCommandOutput,
} from "../commands/UpdateNotificationConfigurationCommand";
export declare const se_AssociateChannelCommand: (
  input: AssociateChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateEventRuleCommand: (
  input: CreateEventRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateNotificationConfigurationCommand: (
  input: CreateNotificationConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteEventRuleCommand: (
  input: DeleteEventRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteNotificationConfigurationCommand: (
  input: DeleteNotificationConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeregisterNotificationHubCommand: (
  input: DeregisterNotificationHubCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateChannelCommand: (
  input: DisassociateChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetEventRuleCommand: (
  input: GetEventRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetNotificationConfigurationCommand: (
  input: GetNotificationConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetNotificationEventCommand: (
  input: GetNotificationEventCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelsCommand: (
  input: ListChannelsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListEventRulesCommand: (
  input: ListEventRulesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListNotificationConfigurationsCommand: (
  input: ListNotificationConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListNotificationEventsCommand: (
  input: ListNotificationEventsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListNotificationHubsCommand: (
  input: ListNotificationHubsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RegisterNotificationHubCommand: (
  input: RegisterNotificationHubCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateEventRuleCommand: (
  input: UpdateEventRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateNotificationConfigurationCommand: (
  input: UpdateNotificationConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AssociateChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateChannelCommandOutput>;
export declare const de_CreateEventRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateEventRuleCommandOutput>;
export declare const de_CreateNotificationConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateNotificationConfigurationCommandOutput>;
export declare const de_DeleteEventRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteEventRuleCommandOutput>;
export declare const de_DeleteNotificationConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteNotificationConfigurationCommandOutput>;
export declare const de_DeregisterNotificationHubCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeregisterNotificationHubCommandOutput>;
export declare const de_DisassociateChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateChannelCommandOutput>;
export declare const de_GetEventRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetEventRuleCommandOutput>;
export declare const de_GetNotificationConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetNotificationConfigurationCommandOutput>;
export declare const de_GetNotificationEventCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetNotificationEventCommandOutput>;
export declare const de_ListChannelsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelsCommandOutput>;
export declare const de_ListEventRulesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListEventRulesCommandOutput>;
export declare const de_ListNotificationConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListNotificationConfigurationsCommandOutput>;
export declare const de_ListNotificationEventsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListNotificationEventsCommandOutput>;
export declare const de_ListNotificationHubsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListNotificationHubsCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_RegisterNotificationHubCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterNotificationHubCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateEventRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateEventRuleCommandOutput>;
export declare const de_UpdateNotificationConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateNotificationConfigurationCommandOutput>;
